Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.digi.config.ui
Class AggregateConfigView

    java.lang.Object
      com.digi.config.ui.ConfigViewImpl
          com.digi.config.ui.AggregateConfigView

All Implemented Interfaces:
  ConfigView

Direct Known Subclasses:
  NetworkView, SerialView, SystemView

public abstract class AggregateConfigView
extends ConfigViewImpl

This view holds a collection of ConfigView's. It displays a tabbed notebook style control in which each sub view is displayed on a notebook tab. The title of the subview's is displayed on the tab and when the tab is selected, the content of the subview will be displayed in the pane. The button panel of the subview will be displayed in the button panel area of the aggregate view panel. If the subview has no button panel, then the aggregate view's button panel will be displayed by default. The default aggregate button panel view includes Save & Cancel buttons for editable views and Refresh and Help buttons for all views.

Field Summary
`(package private) com.digi.config.ui.ConfigAction` | `cancelKvpNodeAction`
`(package private) ConfigView` | `currentView`
`(package private) com.digi.config.ui.ConfigAction` | `refreshAction`
`(package private) com.digi.config.ui.ConfigAction` | `saveKvpNodeAction`
`(package private) javax.swing.JTabbedPane` | `tabbedPane`
`(package private) com.digi.config.ui.ConfigAction` | `viewHelpAction`
`(package private) java.util.ArrayList` | `viewList`
`(package private) javax.swing.JLabel` | `viewTitle`

Fields inherited from class com.digi.config.ui.ConfigViewImpl
`active, cancelChangesAction, device, editView, heading, includeSettingsFields, includeStateFields, saveChangesAction, viewIndex`

Constructor Summary
`AggregateConfigView()` Basic constructor of a readonly aggregate view.
`AggregateConfigView(boolean editView)` Constructor that specifies if this view allows editting of the kvpGroup.

Method Summary
`void` | `activate()` This method is called to instruct the view that it is about to be made active.
`void` | `addView(ConfigView view)` Adds a new sub view to this Aggregate View
`void` | `cancelChanges()` Instructs the view to discard any changes the user has made within the view and revert those fields to the original state.
`void` | `commitChanges()` Instructs the view to consider any user changes within the view as saved to the device (ie committed).
`void` | `deactivate()` This method is called to instruct the view that it is about to be made inactive.
`void` | `getChanges(com.digi.config.core.KvpNode settingCluster, com.digi.config.core.KvpNode stateCluster)` This method instructs the view to place any changes the user has made within the view into the provided clusters.
`java.lang.String` | `getHelpResource()` Returns a resource key to the help information for this view.
`java.lang.String` | `getName()` Return a one word name identifying this view.
`java.awt.Component` | `getViewContent()` Return the Component that displays the primary content for this view
`void` | `hideAllViews()` Hides all sub views from the Aggregate View
`void` | `hideView(ConfigView view)` Hides a sub view from the Aggregate View
`boolean` | `isChanged()` Indicates if any changes have been made by the user that have not yet been saved back into the kvpCluster.
`void` | `setDevice(com.digi.config.core.Device device)` Informs view what device to work with.
`void` | `setViewIndex(int primaryIndex)` Informs view to use the specified primary index in selecting the data to display in the view.
`void` | `showAllViews()` Shows all sub views from the Aggregate View
`void` | `showView(ConfigView view)` Shows a sub view from the Aggregate View
`void` | `validateChanges(java.util.Collection errorList)` This method instructs the view to validate any of the changes the user has made within the view.

Methods inherited from class com.digi.config.ui.ConfigViewImpl
`createEmailDocument, createGeneralDocument, createIntegerDocument, createNetworkAddressDocument, doCancelChangesAction, doRefreshAction, doSaveChangesAction, doViewHelpAction, getViewButtons, getViewHeading, initializeActions, setIncludeSettingsFields, setIncludeStateFields`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewTitle

    javax.swing.JLabel viewTitle

### tabbedPane

    javax.swing.JTabbedPane tabbedPane

### viewList

    java.util.ArrayList viewList

### currentView

    ConfigView currentView

### saveKvpNodeAction

    com.digi.config.ui.ConfigAction saveKvpNodeAction

### cancelKvpNodeAction

    com.digi.config.ui.ConfigAction cancelKvpNodeAction

### refreshAction

    com.digi.config.ui.ConfigAction refreshAction

### viewHelpAction

    com.digi.config.ui.ConfigAction viewHelpAction

Constructor Detail

### AggregateConfigView

    public AggregateConfigView()
                        throws java.lang.Exception

  Basic constructor of a readonly aggregate view.

### AggregateConfigView

    public AggregateConfigView(boolean editView)
                        throws java.lang.Exception

  Constructor that specifies if this view allows editting of the kvpGroup. If it does, then the view will show the Save & Cancel buttons in the button panel.

Method Detail

### addView

    public void addView(ConfigView view)

  Adds a new sub view to this Aggregate View

### showView

    public void showView(ConfigView view)

  Shows a sub view from the Aggregate View

### showAllViews

    public void showAllViews()

  Shows all sub views from the Aggregate View

### hideView

    public void hideView(ConfigView view)

  Hides a sub view from the Aggregate View

### hideAllViews

    public void hideAllViews()

  Hides all sub views from the Aggregate View

### getName

    public java.lang.String getName()

  Return a one word name identifying this view.

### getViewContent

    public java.awt.Component getViewContent()

  Return the Component that displays the primary content for this view

### getHelpResource

    public java.lang.String getHelpResource()

  Returns a resource key to the help information for this view. The actual URL will be looked up in the Help Resource bundle.

  Specified by:
    `getHelpResource` in interface `ConfigView`
  Overrides:
    `getHelpResource` in class `ConfigViewImpl`

### setDevice

    public void setDevice(com.digi.config.core.Device device)

  Informs view what device to work with. View should flush any cached device data and mark current view content as invalid so that it is refreshed appropriatly.

  Specified by:
    `setDevice` in interface `ConfigView`
  Overrides:
    `setDevice` in class `ConfigViewImpl`

### setViewIndex

    public void setViewIndex(int primaryIndex)

  Informs view to use the specified primary index in selecting the data to display in the view. Not all views will support indexed viewing and it is up to each view to define what the index is based upon.

  An example of an indexed view would be the SerialBasicView. This view is indexed off the port # whose data is to be displayed in the view. An external control in the SerialView lets the user select the port to view and then that view instructs the SerialBasicView to use the selected port number as it's ViewIndex. Other views could use the index to base their view off other integer keys such as Alarm#, Destination#,etc...

  Views that do not support indexing can simply ignore this call.

  Specified by:
    `setViewIndex` in interface `ConfigView`
  Overrides:
    `setViewIndex` in class `ConfigViewImpl`

### activate

    public void activate()

  This method is called to instruct the view that it is about to be made active. When a view is active it needs to make sure its content is correct. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view. Views can use this method to create their content on first touch or to refresh their content when the device kvpGroup have been reset.

  Specified by:
    `activate` in interface `ConfigView`
  Overrides:
    `activate` in class `ConfigViewImpl`

### deactivate

    public void deactivate()

  This method is called to instruct the view that it is about to be made inactive. When a view is inactive, it does not need to worry about maintaining its content in a correct state. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `deactivate` in interface `ConfigView`
  Overrides:
    `deactivate` in class `ConfigViewImpl`

### isChanged

    public boolean isChanged()

  Indicates if any changes have been made by the user that have not yet been saved back into the kvpCluster.

### validateChanges

    public void validateChanges(java.util.Collection errorList)

  This method instructs the view to validate any of the changes the user has made within the view. Any errors are to be added to the provided errorList.

  Specified by:
    `validateChanges` in interface `ConfigView`
  Overrides:
    `validateChanges` in class `ConfigViewImpl`
  Parameters:
    `errorList` - is a collection of ViewValidationError objects

### getChanges

    public void getChanges(com.digi.config.core.KvpNode settingCluster,
                           com.digi.config.core.KvpNode stateCluster)

  This method instructs the view to place any changes the user has made within the view into the provided clusters. Once the changes have been saved to to the device, a subsequent call to commitChanges() will be made.

### commitChanges

    public void commitChanges()

  Instructs the view to consider any user changes within the view as saved to the device (ie committed).

### cancelChanges

    public void cancelChanges()

  Instructs the view to discard any changes the user has made within the view and revert those fields to the original state. The view is also free to refresh all its fields to the present cached state of the device at this time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2002 Digi International. All Rights Reserved.